Manjaro ARM on Rasberry Pi3+

Hello all,

I've been trying to get manjaro ARM to run on my Rasberry Pi for a few weeks now. I can get 18.XX to install and it boots up perfectly, but I have a problem with the pamac mirrors.

I installed the latest 19.XX image via manjaro-arm-installer. everything worked fine there. But the boot fails (see the boot sequence below, had to type it out the begginining of some lines might be wrong :confused: ). Did some research and it looks like it's related to the boot partition which does not have a label.

device 'PARTUUID=' not found. Skipping fsck.
mounting 'PARTUUID=' on real root
mount: /new_root: special device PARTUUID= does not exist.
You are now being dropped into an emergency shell.
can't access tty: job control turned off.

How can I modify these boot parameters on a rasberry, If I can figure out the UUID of my root system.

Thanks in advance!

I removed my last post here because I did not realize you were using the pi3+ with the mainline kernel. It does not have a cmdline.txt.

This is because you installed the 32bit image and Manjaro-ARM does not support armv7 any more and the repo has been deleted from the servers.

I used the manjaro-arm-installer this mourning picking pi3 and Mate and ran into one package not getting found. Since then Strit has has updated the server and it built the image and it booted ok. No packages got installed because of the error so guessing your image was not complete.

Run the manjaro-arm installer again but choose LXQT. The Mate desktop yet again has issues with mesa. Notice the green and blue bars on the desktop in the pic below. Also LXGT is more lightweight and better for use with the pi3b+ and it's 1G ram with the extra overhead associated with 64bit. Try to stay away from firefox web browser as it will eventually will lock up your system when it runs out of ram.

1 Like

Yes, that explains it. I was using the Mate DE as well.

I will try to give it a go on the merry go round over the weekend, see if any other images successfully boot.

Yeah, it does make sense to go with the lower footprint DE, as I plan to use it as a sonarr sever.

Will report back, if I manage to have some progress.

If you plan on using it as a server install, why not go with the Minimal edition and build up what you need from there?

I tried doing that , although with another distro, and it quickly became too overwhelming. Still too new to the linux and programming world, I've just started fiddling around with this for 2-3 months.

I'll try to set this up on my network with the stuff that's already available. Then maybe try giving it a go to do a minimal install and just build the stuff up through SSH. Still lots to learn until I get there...

Overhead matters, so go as minimal as you can for server stuff, especially of running af Rasbperry Pi with 1GB RAM or less.

So I gave it another go and tried to build both the LXQT and minimal images through the manjaro-arm-installer. Both failed to boot with the same error as in my original post.

Below is the output of manjaro-arm-installer. There are some errors at the end, but I cannot tell if that made the difference

==> Proceeding....
  -> Getting package lists ready for rpi3 minimal edition...
==> Getting /dev/mmcblk0 ready for rpi3...
cat: /sys/block/mmcblk0/mmcblk01/start: No such file or directory
cat: /sys/block/mmcblk0/mmcblk01/size: No such file or directory
expr: syntax error: missing argument after ‘+’
mount: /var/tmp/manjaro-arm-installer/root: special device /dev/mmcblk0p2 does not exist.
==> Creating install for rpi3...
==> Used device is /dev/mmcblk0px
  -> Downloading latest aarch64 rootfs...
Manjaro-ARM-aarch64 100%[===================>] 182.60M  2.27MB/s    in 1m 57s  
  -> Extracting aarch64 rootfs...
  -> Setting up keyrings...
  -> Installing packages for minimal on rpi3...
:: Synchronizing package databases...
 core                     212.5 KiB  1635K/s 00:00 [######################] 100%
 extra                      2.4 MiB  3.31M/s 00:01 [######################] 100%
 community                  5.2 MiB  2.90M/s 00:02 [######################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

warning: insufficient columns available for table display
Packages (94) archlinux-keyring-20191011-1  bash-5.0.011-1  bluez-utils-5.51-2
              bzip2-1.0.8-2  ca-certificates-mozilla-3.47-1  coreutils-8.31-2
              cryptsetup-2.2.1-1  curl-7.66.0-1  dbus-1.12.16-2
              device-mapper-2.02.186-2  dnssec-anchors-20190629-1
              e2fsprogs-1.45.4-1  ell-0.25-1  expat-2.2.9-1  file-5.37-3
              findutils-4.7.0-1  gawk-5.0.1-1  gcc-libs-9.1.0-2
              gettext-0.20.1-2  glib2-2.62.1-1  gnupg-2.2.17-2  gnutls-3.6.10-1
              grep-3.3-2  gzip-1.10-2  hwids-20190818-1  iana-etc-20190930-1
              icu-64.2-1  iproute2-5.3.0-1  iputils-20190709-1  kbd-2.2.0-4
              keyutils-1.6.1-1  ldns-1.7.1-1  less-551-2  libcroco-0.6.13-1
              libedit-20190324_3.1-1  libelf-0.177-1  libgcrypt-1.8.5-1
              libgpg-error-1.36-2  libldap-2.4.48-1  libnftnl-1.1.4-1
              libnghttp2-1.39.2-1  libnl-3.5.0-1  libpcap-1.9.1-1
              libsecret-0.19.1-1  libssh2-1.9.0-1  libtasn1-4.14-2
              libusb-1.0.23-1  libxml2-2.9.9-3  licenses-20191011-1
              linux-api-headers-5.3.1-1  linux-firmware-20191022.2b016af-1
              lz4-1:1.9.2-1  mkinitcpio-26-1  mkinitcpio-busybox-1.30.1-1
              mpfr-4.0.2-1  nettle-3.5.1-1  openssl-1.1.1.d-1
              p11-kit-0.23.18.1-1  pacman-5.2.0-1  pacman-mirrorlist-20191008-1
              pciutils-3.6.2-1  perl-5.30.0-3.1  procps-ng-3.3.15-1
              psmisc-23.2-1  python-3.7.4-2  readline-8.0.001-1  sed-4.7-2
              shadow-4.7-2  sqlite-3.30.1-1  systemd-243.78-1
              systemd-libs-243.78-1  systemd-sysvcompat-243.78-1  tar-1.32-2
              tzdata-2019c-2  zstd-1.4.3-1  base-2-1
              bootsplash-systemd-0.1.2-1  bootsplash-theme-manjaro-0.1-2
              dhcpcd-8.0.6-1  firmware-raspberrypi-6-1  haveged-1.9.8-1
              inxi-3.0.36-1  iwd-0.23-1  linux-aarch64-5.3.7-1  nano-4.5-1
              ncdu-1.14.1-1  openssh-8.1p1-1  parted-3.3-1  pi-bluetooth-1-2
              raspberrypi-bootloader-20191021-1  sudo-1.8.28.p1-1
              uboot-raspberrypi-2019.04-1  wpa_supplicant-2:2.9-1
              xf86-video-fbturbo-git-199.f9a6ed7-4

Total Download Size:    264.39 MiB
Total Installed Size:  1170.76 MiB
Net Upgrade Size:       741.19 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 linux-api-headers-5...   977.0 KiB  2.68M/s 00:00 [######################] 100%
 tzdata-2019c-2-aarch64   337.7 KiB  2.48M/s 00:00 [######################] 100%
 iana-etc-20190930-1-any  369.0 KiB  1973K/s 00:00 [######################] 100%
 gcc-libs-9.1.0-2-aa...    21.1 MiB  2.83M/s 00:07 [######################] 100%
 readline-8.0.001-1-...   293.3 KiB  3.29M/s 00:00 [######################] 100%
 bash-5.0.011-1-aarch64  1524.0 KiB  2.35M/s 00:01 [######################] 100%
 perl-5.30.0-3.1-aarch64   14.1 MiB  2.56M/s 00:05 [######################] 100%
 openssl-1.1.1.d-1-a...     3.3 MiB  2.52M/s 00:01 [######################] 100%
 coreutils-8.31-2-aa...     2.3 MiB  1786K/s 00:01 [######################] 100%
 file-5.37-3-aarch64      291.2 KiB  2.08M/s 00:00 [######################] 100%
 findutils-4.7.0-1-a...   452.3 KiB  2.01M/s 00:00 [######################] 100%
 mpfr-4.0.2-1-aarch64     293.7 KiB  2.16M/s 00:00 [######################] 100%
 gawk-5.0.1-1-aarch64    1065.9 KiB  1665K/s 00:01 [######################] 100%
 bzip2-1.0.8-2-aarch64     54.4 KiB  2.04M/s 00:00 [######################] 100%
 grep-3.3-2-aarch64       181.0 KiB  2011K/s 00:00 [######################] 100%
 libgpg-error-1.36-2...   192.8 KiB  1753K/s 00:00 [######################] 100%
 libgcrypt-1.8.5-1-a...   428.1 KiB  1946K/s 00:00 [######################] 100%
 lz4-1:1.9.2-1-aarch64    108.5 KiB  2046K/s 00:00 [######################] 100%
 systemd-libs-243.78...   409.1 KiB  2045K/s 00:00 [######################] 100%
 procps-ng-3.3.15-1-...   343.4 KiB  2.01M/s 00:00 [######################] 100%
 sed-4.7-2-aarch64        213.4 KiB  1940K/s 00:00 [######################] 100%
 tar-1.32-2-aarch64       738.3 KiB  2028K/s 00:00 [######################] 100%
 glib2-2.62.1-1-aarch64     2.4 MiB  2.16M/s 00:01 [######################] 100%
 icu-64.2-1-aarch64         8.7 MiB  2.29M/s 00:04 [######################] 100%
 gettext-0.20.1-2-aa...  1887.1 KiB  2.24M/s 00:01 [######################] 100%
 hwids-20190818-1-any     369.2 KiB  2.12M/s 00:00 [######################] 100%
 pciutils-3.6.2-1-aa...    84.0 KiB  2.49M/s 00:00 [######################] 100%
 psmisc-23.2-1-aarch64    104.4 KiB  1970K/s 00:00 [######################] 100%
 e2fsprogs-1.45.4-1-...  1069.6 KiB  2007K/s 00:01 [######################] 100%
 libldap-2.4.48-1-aa...   279.2 KiB  2.05M/s 00:00 [######################] 100%
 keyutils-1.6.1-1-aa...    89.3 KiB  2.57M/s 00:00 [######################] 100%
 shadow-4.7-2-aarch64    1098.2 KiB  2.14M/s 00:01 [######################] 100%
 less-551-2-aarch64       100.8 KiB  2.98M/s 00:00 [######################] 100%
 gzip-1.10-2-aarch64       77.1 KiB  2.28M/s 00:00 [######################] 100%
 licenses-20191011-1-any   66.8 KiB  1261K/s 00:00 [######################] 100%
 libssh2-1.9.0-1-aarch64  202.6 KiB   965K/s 00:00 [######################] 100%
 libnghttp2-1.39.2-1...    85.9 KiB   527K/s 00:00 [######################] 100%
 device-mapper-2.02....   258.9 KiB  1097K/s 00:00 [######################] 100%
 cryptsetup-2.2.1-1-...   461.0 KiB  1427K/s 00:00 [######################] 100%
 expat-2.2.9-1-aarch64     87.7 KiB  2.86M/s 00:00 [######################] 100%
 dbus-1.12.16-2-aarch64   276.9 KiB  1154K/s 00:00 [######################] 100%
 kbd-2.2.0-4-aarch64     1134.0 KiB  1025K/s 00:01 [######################] 100%
 libelf-0.177-1-aarch64   386.3 KiB  1756K/s 00:00 [######################] 100%
 libnftnl-1.1.4-1-aa...    56.7 KiB  2.13M/s 00:00 [######################] 100%
 libnl-3.5.0-1-aarch64    356.4 KiB  1846K/s 00:00 [######################] 100%
 libusb-1.0.23-1-aarch64   56.9 KiB  1896K/s 00:00 [######################] 100%
 libpcap-1.9.1-1-aarch64  235.7 KiB  1571K/s 00:00 [######################] 100%
 systemd-243.78-1-aa...     4.6 MiB  2.07M/s 00:02 [######################] 100%
 libtasn1-4.14-2-aarch64  114.9 KiB  2.08M/s 00:00 [######################] 100%
 p11-kit-0.23.18.1-1...   444.6 KiB  1730K/s 00:00 [######################] 100%
 ca-certificates-moz...   324.9 KiB  1957K/s 00:00 [######################] 100%
 curl-7.66.0-1-aarch64    975.1 KiB  2002K/s 00:00 [######################] 100%
 archlinux-keyring-2...   845.2 KiB  2.06M/s 00:00 [######################] 100%
 pacman-mirrorlist-2...    24.4 KiB  3.41M/s 00:00 [######################] 100%
 nettle-3.5.1-1-aarch64   340.8 KiB  2.33M/s 00:00 [######################] 100%
 gnutls-3.6.10-1-aarch64    2.5 MiB  2.20M/s 00:01 [######################] 100%
 sqlite-3.30.1-1-aarch64 1377.1 KiB  1940K/s 00:01 [######################] 100%
 libsecret-0.19.1-1-...   203.2 KiB  2.21M/s 00:00 [######################] 100%
 gnupg-2.2.17-2-aarch64     2.1 MiB  2.18M/s 00:01 [######################] 100%
 zstd-1.4.3-1-aarch64     351.1 KiB  1819K/s 00:00 [######################] 100%
 pacman-5.2.0-1-aarch64   766.9 KiB  1857K/s 00:00 [######################] 100%
 systemd-sysvcompat-...     7.7 KiB  0.00B/s 00:00 [######################] 100%
 iputils-20190709-1-...    95.3 KiB  2.52M/s 00:00 [######################] 100%
 iproute2-5.3.0-1-aa...   854.6 KiB  1988K/s 00:00 [######################] 100%
 base-2-1-any               2.2 KiB  0.00B/s 00:00 [######################] 100%
 linux-firmware-2019...    82.1 MiB  2.41M/s 00:34 [######################] 100%
 mkinitcpio-busybox-...   237.8 KiB  2.25M/s 00:00 [######################] 100%
 mkinitcpio-26-1-any       39.4 KiB  9.62M/s 00:00 [######################] 100%
 linux-aarch64-5.3.7...    69.2 MiB  3.36M/s 00:21 [######################] 100%
 uboot-raspberrypi-2...   187.2 KiB  3.05M/s 00:00 [######################] 100%
 raspberrypi-bootloa...     4.7 MiB  2.48M/s 00:02 [######################] 100%
 firmware-raspberryp...   556.1 KiB  2.14M/s 00:00 [######################] 100%
 wpa_supplicant-2:2....   989.9 KiB  2.20M/s 00:00 [######################] 100%
 sudo-1.8.28.p1-1-aa...   754.4 KiB  1886K/s 00:00 [######################] 100%
 libedit-20190324_3....    97.3 KiB  1946K/s 00:00 [######################] 100%
 dnssec-anchors-2019...     3.3 KiB  0.00B/s 00:00 [######################] 100%
 ldns-1.7.1-1-aarch64     433.7 KiB   653K/s 00:01 [######################] 100%
 openssh-8.1p1-1-aarch64  776.8 KiB  1009K/s 00:01 [######################] 100%
 nano-4.5-1-aarch64       483.1 KiB  1816K/s 00:00 [######################] 100%
 dhcpcd-8.0.6-1-aarch64   163.4 KiB  2042K/s 00:00 [######################] 100%
 libxml2-2.9.9-3-aarch64 1214.1 KiB   853K/s 00:01 [######################] 100%
 libcroco-0.6.13-1-a...   144.9 KiB  1746K/s 00:00 [######################] 100%
 python-3.7.4-2-aarch64    16.1 MiB  2.09M/s 00:08 [######################] 100%
 bootsplash-theme-ma...    25.8 KiB  3.60M/s 00:00 [######################] 100%
 bootsplash-systemd-...    14.2 KiB  0.00B/s 00:00 [######################] 100%
 bluez-utils-5.51-2-...   870.6 KiB  2.52M/s 00:00 [######################] 100%
 xf86-video-fbturbo-...    25.0 KiB  6.11M/s 00:00 [######################] 100%
 parted-3.3-1-aarch64     479.8 KiB  2.13M/s 00:00 [######################] 100%
 haveged-1.9.8-1-aarch64   43.2 KiB  4.22M/s 00:00 [######################] 100%
 ell-0.25-1-aarch64       149.1 KiB  2.31M/s 00:00 [######################] 100%
 pi-bluetooth-1-2-aa...    61.7 KiB  2.01M/s 00:00 [######################] 100%
 inxi-3.0.36-1-any        171.5 KiB  2.09M/s 00:00 [######################] 100%
 ncdu-1.14.1-1-aarch64     39.7 KiB  12.9M/s 00:00 [######################] 100%
 iwd-0.23-1-aarch64       338.7 KiB  2.07M/s 00:00 [######################] 100%
(94/94) checking keys in keyring                   [######################] 100%
(94/94) checking package integrity                 [######################] 100%
(94/94) loading package files                      [######################] 100%
(94/94) checking for file conflicts                [######################] 100%
(94/94) checking available disk space              [######################] 100%
:: Processing package changes...
( 1/94) upgrading linux-api-headers                [######################] 100%
( 2/94) upgrading tzdata                           [######################] 100%
( 3/94) upgrading iana-etc                         [######################] 100%
( 4/94) upgrading gcc-libs                         [######################] 100%
( 5/94) upgrading readline                         [######################] 100%
( 6/94) upgrading bash                             [######################] 100%
( 7/94) upgrading perl                             [######################] 100%
( 8/94) upgrading openssl                          [######################] 100%
( 9/94) upgrading coreutils                        [######################] 100%
(10/94) installing file                            [######################] 100%
(11/94) upgrading findutils                        [######################] 100%
(12/94) installing mpfr                            [######################] 100%
(13/94) installing gawk                            [######################] 100%
(14/94) upgrading bzip2                            [######################] 100%
(15/94) installing grep                            [######################] 100%
(16/94) upgrading libgpg-error                     [######################] 100%
(17/94) upgrading libgcrypt                        [######################] 100%
(18/94) upgrading lz4                              [######################] 100%
(19/94) upgrading systemd-libs                     [######################] 100%
(20/94) installing procps-ng                       [######################] 100%
(21/94) installing sed                             [######################] 100%
(22/94) installing tar                             [######################] 100%
(23/94) upgrading glib2                            [######################] 100%
(24/94) installing icu                             [######################] 100%
(25/94) installing libxml2                         [######################] 100%
(26/94) installing libcroco                        [######################] 100%
(27/94) installing gettext                         [######################] 100%
Optional dependencies for gettext
    git: for autopoint infrastructure updates
(28/94) upgrading hwids                            [######################] 100%
(29/94) installing pciutils                        [######################] 100%
(30/94) installing psmisc                          [######################] 100%
(31/94) upgrading e2fsprogs                        [######################] 100%
(32/94) upgrading libldap                          [######################] 100%
(33/94) upgrading keyutils                         [######################] 100%
(34/94) upgrading shadow                           [######################] 100%
(35/94) installing less                            [######################] 100%
(36/94) installing gzip                            [######################] 100%
(37/94) installing licenses                        [######################] 100%
(38/94) upgrading libssh2                          [######################] 100%
(39/94) upgrading libnghttp2                       [######################] 100%
(40/94) upgrading device-mapper                    [######################] 100%
(41/94) upgrading cryptsetup                       [######################] 100%
(42/94) upgrading expat                            [######################] 100%
(43/94) upgrading dbus                             [######################] 100%
(44/94) upgrading kbd                              [######################] 100%
(45/94) upgrading libelf                           [######################] 100%
(46/94) upgrading libnftnl                         [######################] 100%
(47/94) upgrading libnl                            [######################] 100%
(48/94) upgrading libusb                           [######################] 100%
(49/94) upgrading libpcap                          [######################] 100%
(50/94) upgrading systemd                          [######################] 100%
Creating group sys with gid 3.
Creating group mem with gid 8.
Creating group ftp with gid 11.
Creating group mail with gid 12.
Creating group log with gid 19.
Creating group smmsp with gid 25.
Creating group proc with gid 26.
Creating group games with gid 50.
Creating group lock with gid 54.
Creating group network with gid 90.
Creating group floppy with gid 94.
Creating group scanner with gid 96.
Creating group power with gid 98.
Creating group adm with gid 999.
Creating group wheel with gid 998.
Creating group kmem with gid 997.
Creating group tty with gid 5.
Creating group utmp with gid 996.
Creating group audio with gid 995.
Creating group disk with gid 994.
Creating group input with gid 993.
Creating group kvm with gid 992.
Creating group lp with gid 991.
Creating group optical with gid 990.
Creating group render with gid 989.
Creating group storage with gid 988.
Creating group uucp with gid 987.
Creating group video with gid 986.
Creating group users with gid 985.
Creating group systemd-journal with gid 984.
Creating group rfkill with gid 983.
Creating group bin with gid 1.
Creating user bin (n/a) with uid 1 and gid 1.
Creating group daemon with gid 2.
Creating user daemon (n/a) with uid 2 and gid 2.
Creating user mail (n/a) with uid 8 and gid 12.
Creating user ftp (n/a) with uid 14 and gid 11.
Creating group http with gid 33.
Creating user http (n/a) with uid 33 and gid 33.
Creating group nobody with gid 65534.
Creating user nobody (Nobody) with uid 65534 and gid 65534.
Creating group dbus with gid 81.
Creating user dbus (System Message Bus) with uid 81 and gid 81.
Creating group systemd-journal-remote with gid 982.
Creating user systemd-journal-remote (systemd Journal Remote) with uid 982 and gid 982.
Creating group systemd-network with gid 981.
Creating user systemd-network (systemd Network Management) with uid 981 and gid 981.
Creating group systemd-resolve with gid 980.
Creating user systemd-resolve (systemd Resolver) with uid 980 and gid 980.
Creating group systemd-timesync with gid 979.
Creating user systemd-timesync (systemd Time Synchronization) with uid 979 and gid 979.
Creating group systemd-coredump with gid 978.
Creating user systemd-coredump (systemd Core Dumper) with uid 978 and gid 978.
Creating group uuidd with gid 68.
Creating user uuidd (n/a) with uid 68 and gid 68.
(51/94) upgrading libtasn1                         [######################] 100%
(52/94) upgrading p11-kit                          [######################] 100%
(53/94) upgrading ca-certificates-mozilla          [######################] 100%
(54/94) upgrading curl                             [######################] 100%
(55/94) installing archlinux-keyring               [######################] 100%
==> Appending keys from archlinux.gpg...
gpg: Warning: using insecure memory!
==> Locally signing trusted keys in keyring...
  -> Locally signing key D8AFDDA07A5B6EDFA7D8CCDAD6D055F927843F1C...
  -> Locally signing key DDB867B92AA789C165EEFA799B729B06A680C281...
  -> Locally signing key 91FFE0700E80619CEB73235CA88E23E377514E00...
  -> Locally signing key 0E8B644079F599DFC1DDC3973348882F6AC6A4C2...
  -> Locally signing key AB19265E5D7D20687D303246BA1DFB64FFF979E7...
==> Importing owner trust values...
gpg: Warning: using insecure memory!
gpg: inserting ownertrust of 4
gpg: setting ownertrust to 4
gpg: setting ownertrust to 4
gpg: setting ownertrust to 4
gpg: setting ownertrust to 4
==> Disabling revoked keys in keyring...
  -> Disabling key 8F76BEEA0289F9E1D3E229C05F946DED983D4366...
  -> Disabling key 63F395DE2D6398BBE458F281F2DBB4931985A992...
  -> Disabling key 50F33E2E5B0C3D900424ABE89BDCF497A4BBCC7F...
  -> Disabling key 27FFC4769E19F096D41D9265A04F9397CDFD6BB0...
  -> Disabling key 39F880E50E49A4D11341E8F939E4F17F295AFBF4...
  -> Disabling key 8840BD07FC24CB7CE394A07CCF7037A4F27FB7DA...
  -> Disabling key 5559BC1A32B8F76B3FCCD9555FA5E5544F010D48...
  -> Disabling key 0B20CA1931F5DA3A70D0F8D2EA6836E1AB441196...
  -> Disabling key 07DFD3A0BC213FA12EDC217559B3122E2FA915EC...
  -> Disabling key 4FCF887689C41B09506BE8D5F3E1D5C5D30DB0AD...
  -> Disabling key 5A2257D19FF7E1E0E415968CE62F853100F0D0F0...
  -> Disabling key 7FA647CD89891DEDC060287BB9113D1ED21E1A55...
  -> Disabling key BC1FBE4D2826A0B51E47ED62E2539214C6C11350...
  -> Disabling key 4A8B17E20B88ACA61860009B5CED81B7C2E5C0D2...
  -> Disabling key 5696C003B0854206450C8E5BE613C09CB4440678...
  -> Disabling key 684148BB25B49E986A4944C55184252D824B18E8...
  -> Disabling key 8CF934E339CAD8ABF342E822E711306E3C4F88BC...
  -> Disabling key F5A361A3A13554B85E57DDDAAF7EF7873CFD4BB6...
  -> Disabling key 5E7585ADFF106BFFBBA319DC654B877A0864983E...
  -> Disabling key 65EEFE022108E2B708CBFCF7F9E712E59AF5F22A...
  -> Disabling key 40440DC037C05620984379A6761FAD69BA06C6A9...
  -> Disabling key 34C5D94FE7E7913E86DC427E7FB1A3800C84C0A5...
  -> Disabling key 81D7F8241DB38BC759C80FCE3A726C6170E80477...
  -> Disabling key E7210A59715F6940CF9A4E36A001876699AD6E84...
  -> Disabling key 5357F3B111688D88C1D88119FCF2CB179205AC90...
  -> Disabling key FB871F0131FEA4FB5A9192B4C8880A6406361833...
  -> Disabling key 66BD74A036D522F51DD70A3C7F2A16726521E06D...
  -> Disabling key B1F2C889CB2CCB2ADA36D963097D629E437520BD...
  -> Disabling key 9515D8A8EAB88E49BB65EDBCE6B456CAF15447D5...
  -> Disabling key 76B4192E902C0A52642C63C273B8ED52F1D357C1...
  -> Disabling key 40776A5221EF5AD468A4906D42A1DB15EC133BAD...
  -> Disabling key D4DE5ABDE2A7287644EAC7E36D1A9E70E19DAA50...
  -> Disabling key 44D4A033AC140143927397D47EFD567D4C7EA887...
==> Updating trust database...
gpg: Warning: using insecure memory!
gpg: key 1EB2638FF56C0C53: no user ID for key signature packet of class 10
gpg: key 1EB2638FF56C0C53: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: marginals needed: 3  completes needed: 1  trust model: pgp
gpg: depth: 0  valid:   1  signed:  30  trust: 0-, 0q, 0n, 0m, 0f, 1u
gpg: depth: 1  valid:  30  signed:  81  trust: 0-, 0q, 0n, 25m, 0f, 0u
gpg: depth: 2  valid:  75  signed:  23  trust: 75-, 0q, 0n, 0m, 0f, 0u
gpg: next trustdb check due at 2020-01-06
(56/94) upgrading python                           [######################] 100%
(57/94) upgrading pacman-mirrorlist                [######################] 100%
:: Querying servers, this may take some time...
Australia
-> 1.640 http://notmaindomain.me/stable/$arch/$repo
Denmark
-> 0.896 https://www.uex.dk/public/manjaro-arm/stable/$arch/$repo
-> 0.815 https://mirrors.dotsrc.org/manjaro-arm/stable/$arch/$repo
Germany
-> 0.215 https://manjaro-arm.moson.eu/stable/$arch/$repo
Switzerland
-> 0.927 https://mirror.scachemaille.ch/manjaro-arm/stable/$arch/$repo
United_Kingdom
United_States
-> 0.596 http://ftp-osl.osuosl.org/pub/manjaro-arm/repo/stable/$arch/$repo
-> 0.462 http://y0sh.co/manjaro-arm/stable/$arch/$repo
:: Generated and saved '/etc/pacman.d/mirrorlist' mirrorlist.

hint: use `pacman-mirrors` to generate and update your pacman mirrorlist.
(58/94) upgrading nettle                           [######################] 100%
(59/94) upgrading gnutls                           [######################] 100%
New optional dependencies for gnutls
    guile: for use with Guile bindings
(60/94) upgrading sqlite                           [######################] 100%
(61/94) upgrading libsecret                        [######################] 100%
(62/94) upgrading gnupg                            [######################] 100%
(63/94) upgrading zstd                             [######################] 100%
(64/94) upgrading pacman                           [######################] 100%
(65/94) installing systemd-sysvcompat              [######################] 100%
(66/94) installing iputils                         [######################] 100%
Optional dependencies for iputils
    xinetd: for tftpd
(67/94) installing iproute2                        [######################] 100%
Optional dependencies for iproute2
    linux-atm: ATM support
(68/94) installing base                            [######################] 100%
Optional dependencies for base
    linux: bare metal support [pending]
(69/94) installing linux-firmware                  [######################] 100%
(70/94) installing mkinitcpio-busybox              [######################] 100%
(71/94) installing mkinitcpio                      [######################] 100%
Optional dependencies for mkinitcpio
    xz: Use lzma or xz compression for the initramfs image [installed]
    bzip2: Use bzip2 compression for the initramfs image [installed]
    lzop: Use lzo compression for the initramfs image
    lz4: Use lz4 compression for the initramfs image [installed]
    mkinitcpio-nfs-utils: Support for root filesystem on NFS
(72/94) installing linux-aarch64                   [######################] 100%
Optional dependencies for linux-aarch64
    crda: to set the correct wireless channels of your country
(73/94) installing uboot-raspberrypi               [######################] 100%
(74/94) installing raspberrypi-bootloader          [######################] 100%
(75/94) installing bootsplash-theme-manjaro        [######################] 100%
(76/94) installing bootsplash-systemd              [######################] 100%
==> If you have luks or any other encryption, please enable with:
==>    # systemctl enable bootsplash-ask-password-console.path
(77/94) installing firmware-raspberrypi            [######################] 100%
(78/94) installing bluez-utils                     [######################] 100%
Optional dependencies for bluez-utils
    ell: for btpclient [pending]
(79/94) installing pi-bluetooth                    [######################] 100%
Enable with: systemctl enable brcm43438.service
(80/94) installing wpa_supplicant                  [######################] 100%
(81/94) installing xf86-video-fbturbo-git          [######################] 100%
(82/94) installing sudo                            [######################] 100%
(83/94) installing parted                          [######################] 100%
(84/94) installing libedit                         [######################] 100%
(85/94) installing dnssec-anchors                  [######################] 100%
(86/94) installing ldns                            [######################] 100%
Optional dependencies for ldns
    libpcap: ldns-dpa tool [installed]
(87/94) installing openssh                         [######################] 100%
Optional dependencies for openssh
    xorg-xauth: X11 forwarding
    x11-ssh-askpass: input passphrase in X
(88/94) installing haveged                         [######################] 100%
(89/94) installing inxi                            [######################] 100%
Optional dependencies for inxi
    bind-tools: -i wlan IP
    dmidecode: inxi -M if no sys machine data
    file: inxi -o unmounted file system [installed]
    hddtemp: inxi -Dx show hdd temp
    iproute2: inxi -i ip lan [installed]
    kmod: inxi -Ax,-Nx module version [installed]
    lm_sensors: inxi -s sensors output
    mesa-demos: inxi -G glx info
    net-tools: inxi -i ip lan-deprecated
    perl-io-socket-ssl: -U; -w,-W; -i (if dig not installed)
    perl-json-xs: --output json - required for export (legacy)
    systemd-sysvcompat: inxi -I runlevel [installed]
    sudo: inxi -Dx hddtemp-user;-o file-user [installed]
    tree: --debugger 20,21 /sys tree
    usbutils: inxi -A usb audio;-N usb networking
    wmctrl: -S active window manager (not all wm)
    xorg-xdpyinfo: inxi -G multi screen resolution
    xorg-xprop: inxi -S desktop data
    xorg-xrandr: inxi -G single screen resolution
(90/94) installing ncdu                            [######################] 100%
(91/94) installing nano                            [######################] 100%
(92/94) installing dhcpcd                          [######################] 100%
Optional dependencies for dhcpcd
    openresolv: resolvconf support
(93/94) installing ell                             [######################] 100%
(94/94) installing iwd                             [######################] 100%
:: Running post-transaction hooks...
( 1/13) Creating system user accounts...
( 2/13) Updating journal message catalog...
( 3/13) Reloading system manager configuration...
  Skipped: Current root is not booted.
( 4/13) Updating udev hardware database...
( 5/13) Applying kernel sysctl settings...
  Skipped: Current root is not booted.
( 6/13) Creating temporary files...
[/usr/lib/tmpfiles.d/journal-nocow.conf:26] Failed to resolve specifier: uninitialized /etc detected, skipping
All rules containing unresolvable specifiers will be skipped.
Failed to open file "/sys/devices/system/cpu/microcode/reload": Read-only file system
error: command failed to execute correctly
( 7/13) Reloading device manager configuration...
  Skipped: Device manager is not running.
( 8/13) Arming ConditionNeedsUpdate...
( 9/13) Updating linux-aarch64 module dependencies...
(10/13) Updating linux-aarch64 initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-aarch64.preset: 'default'
  -> -k 5.3.7-1-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 5.3.7-1-MANJARO-ARM
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux-aarch64.preset: 'fallback'
  -> -k 5.3.7-1-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
==> Starting build: 5.3.7-1-MANJARO-ARM
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: wd719x
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
==> Image generation successful
(11/13) Reloading system bus configuration...
  Skipped: Current root is not booted.
(12/13) Warn about old perl modules
(13/13) Rebuilding certificate stores...
  -> Enabling services...
  -> Applying overlay for minimal...
  -> Setting up users...
  -> setting password for root ...
  -> Adding user...
  -> Enabling user services...
==> No user services for minimal edition
  -> Setting up system settings...
  -> Doing device specific setups for rpi3...
  -> Cleaning install for unwanted files...
==> rpi3 minimal install complete
==> Writing bootloader and cleaning up after install...
umount: /var/tmp/manjaro-arm-installer/root: not mounted.
==> Time : 7.88 minutes...

Looks like your SD card does not get formatted.

You need to run the Installer from a desktop PC, with the SD card in the card reader.

/dev/mmcblk0

This looks like some kind of internal device. Are you sure it's your external SD card?

Yes. I am trying to install that from my laptop. Do not have a desktop PC available. But would that make the difference ?

Yes that's definitely my laptop's SD card reader.

Maybe there is a issue with the arm-installer script and my laptop's SD card reader. Usually everything goes well if I write a image on it using Etcher

This is interesting. It seems to be writing to the card. Can you check and see what was written to the sdcard? Is there just one partition? What file system is the partition or partitions?

It seems to have the boot files (fat32) but where is the rootfs?

Just curious.....

It only created one partition labeled BOOT of about 94MB. The rest is just un-allocated space.

Thanks. I have a friend that has a card reader that gets the sdcard mounted with weird to me partitions like yours does.

I guess now your option at this time is to build the images with buildarmoem and burn the image to the sdcard with Etcher. If you have not done it before I can try to post the steps installing the files and build command line.

No, never done that before. I can give it a go, if you don't mind posting the steps.

All most done writing the steps.

Add Strits's repo to have the latest manjaro-arm-tools version:

sudo nano /etc/pacman.conf

Add these lines to the bottom:

[manjaro-strit]
SigLevel = Never
Server = https://www.strits.dk/files/manjaro-strit/manjaro-strit-repo/$arch

Sync package lists and install needed packages:

sudo pacman -Syy
sudo pacman -S manjaro-arm-tools-git manjaro-tools-base

Get profiles. They will be in /usr/share/manjaro-arm-tools/profiles:

sudo getarmprofiles -f

Build image (replace lxqt with minimal if you want the minimal image)
The -x will just build the .img file instead of taking more time to
compress the .img:

sudo buildarmoem -d rpi3 -e lxqt -v 10-26-2019 -n -x

Blank and format a sdcard to a fat32 file system
The .img file will be in /var/cache/manjaro-arm-tools/img/
For you to point Etcher to for burning.

Thanks for this !

Getting an 404 error (see below) while trying to install the packages. Maybe Strit is doing some work on the server and temporarily took the repo down ? will try again later

[eugen@eugen-pc ~]$ sudo pacman -S manjaro-arm-tools-git
resolving dependencies...
looking for conflicting packages...

Packages (2) manjaro-tools-base-0.15.9-7
             manjaro-arm-tools-git-2.6.4.r7.gad0b092-1

Total Download Size:   1.54 MiB
Total Installed Size:  6.61 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
error: failed retrieving file 'manjaro-arm-tools-git-2.6.4.r7.gad0b092-1-any.pkg.tar.xz' from www.strits.dk : The requested URL returned error: 404
warning: failed to retrieve some files
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

Seems I still have an error in my repo then. I will see if I can fix it today.

EDIT: Should be fixed now, if you do a new pacman -Syy.

EDIT2: Curious. What Manjaro ARM Installer version did you try?
Newest in the git is 1.2.6. The one in the repo is outdated....

@EugenLevin Give it a couple of hours and then try again starting at this step above:

Sync package lists and install needed packages:

If you get the same error just keep trying every once in a while.

Works now! Thank you.

I had 1.2.3-2 of the ARM Installer from the community repo. I can give the git version a try. Just to see if it would create the partitions correctly. If not I will use Darksky's guide to build the image.

This did the trick.

I build an lxqt image, but the boot got stuck at "Starting hide boot splashcreen" line.

The minimal image booted up without any problems. I think I will take it from here and continue with the project I had in mind.

Did not try to install it via the git version of ARM Installer, though.

Thank you both for your support! really appreciated it!

Forum kindly sponsored by